Page MenuHomePhabricator

Help panel: asking multiple questions causes multiple ambiguous links
Closed, ResolvedPublic

Description

In testing the help panel on beta, @DannyH discovered that if a user asks a second or third question, they get a second or third link in their confirmation page, with all the links having the same text:

We have decided to handle this by just showing the link to the most recent question that the user asked on that pass through the help panel.

Event Timeline

MMiller_WMF created this task.EditedDec 17 2018, 7:26 PM

@kostajh

In trying this some more, it seems that those links only show up when asking successive questions in the same editing session on the same article. When I went to edit a different article, I did not get those links anymore. And when I went back to the first article, I did not have them anymore.

I think we should decide on the business logic we want here, because it is somewhat inconsistent. I think we should just show the one most recent link. If we go into showing more links, we'll need to distinguish them from each other, and perhaps the panel would start getting cluttered. We also don't know whether people will frequently ask multiple questions. If we discover that people do ask multiple questions, perhaps the ability to keep track of those questions and responses could be a component of a future newbie homepage.

@MMiller_WMF yes, it's a bug, and I'll have a patch up soon :)

If we discover that people do ask multiple questions, perhaps the ability to keep track of those questions and responses could be a component of a future newbie homepage.

+1 for this idea

@MMiller_WMF is there a legitimate use case for the user being able post multiple questions in the same page view? IMO, this seems like it would be a vector for abuse or poor questions. Could we consider some variation of the following for the scenario when you've posted a question, closed the help panel, and then re-opened it:

If you reloaded the page or went to edit another page, you'd be able to post a question again, but this would disable the ask-a-question functionality on the same page load.

@kostajh Here you are.

  1. I'm reading page Apple, because I'd like to learn something about apples.
  2. I decided to add a section about The Famous Apple to this article, register, open the article in edit mode, add the section and I want to add an image of The Famous Apple.
  3. I can't figure out how, so I use help pane to get assistance.
  4. It told me that I'll be notfied about response by email. I opened my email client on the background, so I'll get a real time notification.
  5. I continue with reading the rest of article about apples and learn that other sentences have some numbers that are listed on the bottom of the page as References.
  6. As I don't have those numbers in my article and writing them by hand (inserting [number] literally) doesn't work, I decided to use Help Pane again..and it looks that it doesn't for me.
  7. As something that worked doesn't work for me now, I'm wondering "Did I do anything wrong? The software probably blocked me, as I can't ask a second question."

(note: Not sure about consequences and thoughts newbie might have, take this as a story I came with)

Ad "vector for abuse", I really don't think so. We reveal where the question goes, so I can simply edit the sandbox million times. If we think we allow too many edits per (timeframe), we should IMO change our rate limits instead of help pane. Note: We used to allow UNLIMITED amount of edits, and the only one abuse attempt I remember is T192668 (a respond was a temporary rate limit for affected wiki and then a global limit 90 edits/min). We tend to trust users elsewhere (otherwise, the site won't be editable by anyone), I think we can trust them here as well.

Change 480404 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Prevent display of multiple links on question complete

https://gerrit.wikimedia.org/r/480404

kostajh claimed this task.Dec 18 2018, 3:16 AM
kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
kostajh moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.
MMiller_WMF updated the task description. (Show Details)Dec 18 2018, 9:57 PM

Change 480404 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Help Panel: Email, first edit, question complete display fixes

https://gerrit.wikimedia.org/r/480404

Bencemac removed a subscriber: Bencemac.Dec 20 2018, 8:47 AM
Etonkovidova closed this task as Resolved.Dec 20 2018, 6:01 PM

Checked the fix in betalabs.

@Urbanecm thanks for your comment. "Vector for abuse" was poor choice of words. I'm more concerned about a non-tech savvy user posting their question, not noticing the link for how to view it, then having no idea of how to get back to the help desk, or how to view their just submitted question. I wouldn't be surprised if that user then submits their same question a second time.

@Urbanecm thanks for your comment. "Vector for abuse" was poor choice of words. I'm more concerned about a non-tech savvy user posting their question, not noticing the link for how to view it, then having no idea of how to get back to the help desk, or how to view their just submitted question. I wouldn't be surprised if that user then submits their same question a second time.

Aha, that's a good point. We can then show the final screen, confirming user posted a question successfully, but add a button for asking a new question? If we want, this button can be displayed only if user invokes the help pane again.

In longer term, we can also display list of question user asked via help pane (below the links to help pages maybe?), so user can remind what they did. This is probably topic for another discussion, just noting the idea :).

I like both ideas, I would say let's consider them after the initial deployment. cc @MMiller_WMF and @RHo